      subroutine enar(ktp1,ktp2,l,aa1)
      use module
      double precision,allocatable,dimension(:) :: vv1,vv2
      dimension ktp1(l),ktp2(l)
      if(itest(19)==1) return
      allocate(vv1(l),vv2(l))
      vv1=v1(ktp1,1)
      vv2=aa1*vv1
      v2(ktp2,1)=vv2+v2(ktp2,1)
      vv1=v1(ktp2,1)
      vv2=aa1*vv1
      v2(ktp1,1)=vv2+v2(ktp1,1)
      deallocate(vv1,vv2)
      return
      end
      
      

